Bug 30491 - ArgumentException thrown in WebConnection
Summary: ArgumentException thrown in WebConnection
Status: RESOLVED NORESPONSE
Alias: None
Product: Class Libraries
Classification: Mono
Component: System (show other bugs)
Version: 4.0.0
Hardware: PC Linux
: --- normal
Target Milestone: Untriaged
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2015-05-27 04:24 UTC by xamarin
Modified: 2018-03-13 11:07 UTC (History)
2 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED NORESPONSE

Description xamarin 2015-05-27 04:24:41 UTC
ArgumentException /tmp/buildd/mono-4.0.1/mcs/class/System/System.Net/WebConnection.cs:568

Offset and length were out of bounds for the array or count is greater than the number of elements from index to the end of the source collection.
Comment 1 Marek Safar 2015-05-27 04:27:00 UTC
Please provide more details (at least full stack trace)
Comment 2 xamarin 2015-05-27 04:30:14 UTC
It is the full stacktrace sadly,

03:28:36 [ERROR] Unhandled Exception: Offset and length were out of bounds for the array or count is greater than the number of elements from index to the end of the source collection.
  at System.Buffer.BlockCopy (System.Array src, Int32 srcOffset, System.Array dst, Int32 dstOffset, Int32 count) [0x00000] in <filename unknown>:0
  at System.Net.WebConnection.ReadDone (IAsyncResult result) [0x00144] in /tmp/buildd/mono-4.0.1/mcs/class/System/System.Net/WebConnection.cs:568

And I'm not sure how it happened, but it was doing some web downloads.
Comment 3 Marek Safar 2018-03-13 11:07:10 UTC
We have not received the requested information. If you are still experiencing this issue please provide all the requested information and reopen the bug report.

Thank you!